Bug 165960 - Review Request: gnome-translate - A natural language translator
Review Request: gnome-translate - A natural language translator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://www.nongnu.org/libtranslate/gn...
:
Depends On: 165353
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-15 06:43 EDT by Dmitry Butskoy
Modified: 2012-02-13 09:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-12 13:02:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dmitry Butskoy 2005-08-15 06:43:48 EDT
Spec Name or Url: http://dmitry.butskoy.name/libtranslate/gnome-translate.spec
SRPM Name or Url: http://dmitry.butskoy.name/libtranslate/gnome-translate-0.99-1.src.rpm
Description: 
  GNOME Translate is a GNOME interface to libtranslate library (see bug #165353).
It can translate a text or web page between several natural languages,
and it can automatically detect the source language as you type.

  This package depends on pending "libtranslate", which I requested for review several days ago (bug #165353). IMHO, it will be more useful to examine both these packages together.
Comment 1 Aurelien Bompard 2005-09-10 10:16:10 EDT
Needs work:
* BuildRoot: should be
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* Build: missing SMP flags ( make %{?_smp_mflags} )
* Duplicate buildRequires: glib2-devel, gtk2-devel, GConf2-devel,
libgnomeui-devel, gnome-vfs2-devel, libglade2-devel, libxml2-devel, pango-devel
* Desktop file: vendor should be fedora
* Desktop file: the Categories tag should contain X-Fedora, not X-Red-Hat-Base
* %install : /var should be replaced by %{_localstatedir}
* Check the required post and postun scriptlets on
http://fedoraproject.org/wiki/ScriptletSnippets ("GConf" section and "GTK+ icon
cache" section)
* %makeinstall should be make install DESTDIR=$RPM_BUILD_ROOT
* Remove the explicit dependency on libtranslate, rpm will pick it up by itself.
Comment 2 Dmitry Butskoy 2005-09-10 14:01:21 EDT
All remarks are done, except I yet have not understood about "Duplicate
BuildRequires". Give me please little bit more information on it...

New SRPM: http://dmitry.butskoy.name/libtranslate/gnome-translate-0.99-2.src.rpm
New SPEC: http://dmitry.butskoy.name/libtranslate/gnome-translate.spec
Comment 3 Aurelien Bompard 2005-09-11 08:22:52 EDT
Sure. For example, libgnomeui-devel already depends on GConf2-devel,
glib2-devel, and gnome-vfs2-devel, so you don't have to list those explicitely.
All the BR I have listed are already required by other BRs, so you can remove them.
Comment 4 Dmitry Butskoy 2005-09-12 06:28:27 EDT
OK
I yet leave gtk2-devel and GConf2-devel, because they requires '>= 2.4.0', but
implicit dependencies give '>= 2.3.0' only.

New SRPM and SPEC at the same location (comment #2) (No release increment due to
nobody still download it... :-))
Comment 5 Michael Schwendt 2005-09-12 07:45:07 EDT
Sooner or later you will run into the trap of not updating the versioned
Buildrequires, and then you will be out-of-sync. Notice that even FC2 comes
with a version of gtk2-devel, which is new enough, so all the distributions
your Fedora Extras package targets, are sufficient.

Versioned [build] dependencies make much more sense, when the package from
original version of a distribution is insufficient, but an Update is
available and required.
Comment 6 Dmitry Butskoy 2005-09-12 08:02:21 EDT
For comment #5 :
  It is possible that someone will rebuild this package under some "old enough"
distribution (fc1, rhl7.3 etc.), or even under some another Fedora-based
distribution. Therefore I think this versioning is a little bit useful.
  I hope that it is not required to update these dependences in the future (at
least, visible future), because it is ">=", not "==" ...
Comment 7 Aurelien Bompard 2005-09-12 09:23:55 EDT
> No release increment due to nobody still download it...

Please do increment. It helps when saying "Release x approved", and it also
helps the reviewer.

> I hope that it is not required to update these dependences in the future

If the upstream project depends on newer libs, you'll have to reflect this in
your  RPM. But if you're willing to follow that, that's fine. You're the
maintainer in the end.

Last problem in the spec file: since it installs a scrollkeeper file, you have
to add the required bits in the scriptlets. Please see
http://fedoraproject.org/wiki/ScriptletSnippets, scrollkeeper section.
Comment 9 Aurelien Bompard 2005-09-12 10:44:26 EDT
=== Review for release 3 ===
* RPM name is OK
* Source gnome-translate-0.99.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of gnome-translate looks OK
* File list of gnome-translate looks OK
* Seems to work fine

Comment 10 Dmitry Butskoy 2012-02-13 07:08:21 EST
Package Change Request
======================
Package Name: gnome-translate
New Branches: el6
Owners: buc
Comment 11 Jon Ciesla 2012-02-13 09:48:13 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.